Package org.jbpm.executor.entities

## Class ErrorInfo

- java.lang.Object
- - org.jbpm.executor.entities.ErrorInfo

- All Implemented Interfaces:
    `Serializable`, `org.kie.api.executor.ErrorInfo`, `org.kie.internal.executor.api.ErrorInfo`

      @Entity
      public class ErrorInfo
      extends Object
      implements org.kie.internal.executor.api.ErrorInfo, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ErrorInfo()` |
    `ErrorInfo​(String message, String stacktrace)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `Long` | `getId()` |
    `String` | `getMessage()` |
    `RequestInfo` | `getRequestInfo()` |
    `String` | `getStacktrace()` |
    `Date` | `getTime()` |
    `int` | `hashCode()` |
    `void` | `setId​(Long id)` |
    `void` | `setMessage​(String message)` |
    `void` | `setRequestInfo​(RequestInfo requestInfo)` |
    `void` | `setStacktrace​(String stacktrace)` |
    `void` | `setTime​(Date time)` |
    `String` | `toString()` |
    `protected void` | `trimToSize()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ErrorInfo

          public ErrorInfo()

    - #### ErrorInfo

          public ErrorInfo​(String message,
                           String stacktrace)

  - ### Method Detail

    - #### getId

          public Long getId()

      Specified by:
        `getId` in interface `org.kie.api.executor.ErrorInfo`

    - #### setId

          public void setId​(Long id)

    - #### getMessage

          public String getMessage()

      Specified by:
        `getMessage` in interface `org.kie.api.executor.ErrorInfo`

    - #### setMessage

          public void setMessage​(String message)

    - #### getStacktrace

          public String getStacktrace()

      Specified by:
        `getStacktrace` in interface `org.kie.api.executor.ErrorInfo`

    - #### setStacktrace

          public void setStacktrace​(String stacktrace)

    - #### getTime

          public Date getTime()

      Specified by:
        `getTime` in interface `org.kie.api.executor.ErrorInfo`

    - #### setTime

          public void setTime​(Date time)

    - #### getRequestInfo

          public RequestInfo getRequestInfo()

    - #### setRequestInfo

          public void setRequestInfo​(RequestInfo requestInfo)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### trimToSize

          protected void trimToSize()